Fonctiosn TRIM pour SSD

4 replies [Last post]
teskiel
Offline
Joined: 11/19/2010

Bonjour,

J'aimerais me mettre à Trisquel pour des raisons évidentes de libertés. Seulement voila, sur la page de téléchargement de cette distribution il est indiqué un kernel 2.6.32 qui n'embarque pas la gestion des fonctions TRIM nécessaire à l'utilisation des disques SSD (ceci arrive à partir du kernel 2.6.33).

Existe-t-il un moyen pour contourner ce problème? (est-ce que les mises-à-jour à ce jour incluent ce kernel 2.6.33? Est-ce qu'il y a une autre solution pour intégrer le support complet des disques SSD avec 2.6.32..? )

Merci d'avance pour votre aide.

Hardisk2002
Offline
Joined: 04/03/2010

salut,
je crois que les mises à jour règlent le soucis, mais au pire, ya des
paquets .deb avec des versions plus neuves du kernel linux-libre de
disponible sur

http://www.fsfla.org/svnwiki/selibre/linux-libre/download/releases/

Hardisk

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Je ne vois pas de paquet Debian dans http://www.fsfla.org/svnwiki/selibre/linux-libre/download/releases/. Il te faut donc installer linux-libre depuis les sources. En le faisant à la sauce Debian, cela revient, dans un premier temps, à créer un paquet DEB. Les tutoriels ne manquent pas sur le Web. Par exemple, rien que sur doc.ubuntu-fr.org :
http://doc.ubuntu-fr.org/tutoriel/compiler_linux
http://doc.ubuntu-fr.org/tutoriel/comment_compiler_un_kernel_sur_mesure
http://doc.ubuntu-fr.org/tutoriel/comment_compiler_un_kernel_de_kernel.org

Hardisk2002
Offline
Joined: 04/03/2010

http://fsfla.org/svnwiki/selibre/linux-libre/index.fr.html

Regarde dans les actualitées, ya un dépot avec des .deb déja fait

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

C'est du bonheur ! :-)

Il suffirait donc :
1) d'ajouter le dépôt :
$ sudo su
# echo deb http://linux-libre.fsfla.org/pub/linux-libre/planet planet main >> /etc/apt/sources.list

2) d'ajouter sa clé publique :
# wget http://linux-libre.fsfla.org/pub/linux-libre/planet/archive-key.asc -O- | sudo apt-key add -
3) de synchroniser les fichiers d'index (répertoriant les nouveaux paquets disponibles) :
# apt-get update
... sauf que là, pour un système 64 bits, comme le mien, c'est l'échec :
(...)
W: Impossible de récupérer http://linux-libre.fsfla.org/pub/linux-libre/planet/dists/planet/Release Unable to find expected entry main/binary-amd64/Packages in Meta-index file (malformed Release file?)

E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

Conclusion pour teskiel : si tu ne veux pas t'embêter avec une compilation de noyau (et profiter, sans effort, des derniers noyaux dès qu'ils sont disponibles), installe la version 32 bits de Trisquel. ;-)